summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-01-11 15:13:13 +0100
committerPacho Ramos <pacho@gentoo.org>2016-01-11 15:26:09 +0100
commit059847271791c9b5623780bac10d4d70d6628149 (patch)
treeea7fe6e2516ea9e57e28d96bc6b8fb593515bb05 /gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild
parentgnome-extra/cinnamon-translations: Version bump (diff)
downloadgentoo-059847271791c9b5623780bac10d4d70d6628149.tar.gz
gentoo-059847271791c9b5623780bac10d4d70d6628149.tar.bz2
gentoo-059847271791c9b5623780bac10d4d70d6628149.zip
gnome-extra/gnome-shell-frippery: Version bump
Package-Manager: portage-2.2.26
Diffstat (limited to 'gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild')
-rw-r--r--gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild
new file mode 100644
index 00000000000..de287b081e1
--- /dev/null
+++ b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-3.18.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Unofficial extension pack providing GNOME 2-like features for GNOME 3"
+HOMEPAGE="http://frippery.org/extensions/index.html"
+SRC_URI="http://frippery.org/extensions/${P}.tgz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ app-eselect/eselect-gnome-shell-extensions
+ >=dev-libs/gjs-1.29
+ dev-libs/gobject-introspection:=
+ gnome-base/gnome-menus:3[introspection]
+ >=gnome-base/gnome-shell-3.18
+ media-libs/clutter:1.0[introspection]
+ x11-libs/pango[introspection]
+"
+DEPEND=""
+
+S="${WORKDIR}/.local/share/gnome-shell"
+
+src_install() {
+ insinto /usr/share/gnome-shell/extensions
+ doins -r extensions/*@*
+ dodoc gnome-shell-frippery/{CHANGELOG,README}
+}
+
+pkg_postinst() {
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}